Autore Topic: requisiti minimi MySQL e PHP  (Letto 230 volte)

Offline Silvia777

  • Nuovo arrivato
  • *
  • Post: 20
  • Sesso: Femmina
    • Mostra profilo
requisiti minimi MySQL e PHP
« il: 17 Apr 2021, 12:57:09 »
Salve a tutti, ho installato l'ultima versione di Joomla 3.9.26, ma mi stà dando vari problemi, tra cui non mi permete di installare le estensioni, viene fuori un messaggio di errore : syntax error, unexpected '[' in /web/htdocs/www.nomesito.com/home/Joomla2021/administrator/components/com_installer/models/install.php on line 391

Mi é venuto il dubbio, siccome il mio host ha il database MySql versione 5.0.92-50-log - Percona SQL Server, Revision 89 (GPL) e il PHP é 5.3.29, non sono sufficienti per Joomla 3.x? Devo cambiare hosting? Grazie a chi mi risponde!

Offline Limma

  • Abituale
  • ****
  • Post: 1180
  • Sesso: Maschio
    • Mostra profilo
Re:requisiti minimi MySQL e PHP
« Risposta #1 il: 17 Apr 2021, 13:15:55 »
A questo link trovi i requisiti tecnici per far girare Joomla.

Diciamo che le versioni di PHP e di MySql sul tuo server sono alquanto "osolete" (e, oltre ai problemi di compatibilità con le estensioni, è anche un problema di sicurezza, in particolare per il PHP).

Diciamo che PHP da 7.3 e MySql 5.5.x oggi sono lo standard (minimo).

Per quanto riguarda l'hosting, vedi se dal pannello di controllo ti permette di modificare le impostazioni di PHP, per lo meno; o chiedi all'assistenza. Nel caso non fosse possibile aggiornare (ma mi parrebbe un po' strano...), cambia hosting.

P.S. Che hosting utilizzi? Puoi citarlo tranquillamente.

Offline Silvia777

  • Nuovo arrivato
  • *
  • Post: 20
  • Sesso: Femmina
    • Mostra profilo
Re:requisiti minimi MySQL e PHP
« Risposta #2 il: 17 Apr 2021, 15:12:22 »
Grazie Limma, l'host é aruba... ::) . Comunque ho scoperto ora che la versione PHP si può cambiare fino a PHP 7.4, mentre per l'upgrade MySQL ho inviato una richiesta al servizio assistenza. Spero sia possibile!

Offline Limma

  • Abituale
  • ****
  • Post: 1180
  • Sesso: Maschio
    • Mostra profilo
Re:requisiti minimi MySQL e PHP
« Risposta #3 il: 17 Apr 2021, 15:42:25 »
Hai già impostato la nuova versione di PHP?
Hai provato ad installare un'estensione?

Offline Silvia777

  • Nuovo arrivato
  • *
  • Post: 20
  • Sesso: Femmina
    • Mostra profilo
Re:requisiti minimi MySQL e PHP
« Risposta #4 il: 17 Apr 2021, 18:22:14 »
Sì, ho impostato la versione più alta cioé PHP 7.4.16, e ora funziona tutto, sia la pagina index e mi fa installare le estensioni. Per ora mi sembra che funziona bene. Devo comunque far aggiornare il database MySQL?
Grazie per l'assistenza


Offline Limma

  • Abituale
  • ****
  • Post: 1180
  • Sesso: Maschio
    • Mostra profilo
Re:requisiti minimi MySQL e PHP
« Risposta #5 il: 17 Apr 2021, 18:30:52 »
Sì, fai aggiornare anche il database.
5.5.x è consigliato per le versioni Joomla 3.x.

 

Host

Torna su